API ReferenceEnvironments
Retrieve environments
Analytics Events
ENVIRONMENT_RETRIEVE_LIST_STARTENVIRONMENT_RETRIEVE_LIST_SUCCESSENVIRONMENT_RETRIEVE_LIST_FAIL
GET
/v1/environmentsRetrieves a list of all available environments.
Analytic events
- ENVIRONMENT_RETRIEVE_LIST_START
- ENVIRONMENT_RETRIEVE_LIST_SUCCESS
- ENVIRONMENT_RETRIEVE_LIST_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?number
Range size of returned list.
Default
100Range
1 <= value <= 1000cursor?string
Starting point for the list of entries.
Response Body
application/json
application/json
text/plain
curl -X GET "https://manage.mattr.global/v1/environments"{
"data": [
{
"id": "fa605282-0223-4ae0-831d-af368bc39a55",
"name": "MATTR Public Sydney, Australia",
"domain": "vii.au01.mattr.global",
"authorizationServerDomain": "manage.auth.auth0.com",
"deploymentModel": "public",
"region": {
"id": "70bb433a-f0ec-4297-ad76-3b09c71311f3",
"name": "AU01",
"displayName": "Sydney, Australia"
}
}
],
"nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}"Unauthorized"Empty
Empty
How would you rate this page?
Create API Auth Token POST
Returns an API access token specific to the Management API. This token must then be used as an authorization header for all requests to protected endpoints (this is required for the majority of operations).
Create tenant POST
Creates a new tenant in the requested environment. ### **Analytic events** * TENANT_CREATE_START * TENANT_CREATE_SUCCESS * TENANT_CREATE_FAIL